package ru.dbotthepony.kstarbound.world.terrain

import ru.dbotthepony.kstarbound.defs.world.TerrainSelectorParameters

class TerrainSelectorFactory<D : Any, out T : AbstractTerrainSelector<D>>(private val data: D, private val factory: (D, TerrainSelectorParameters) -> T) {
	fun create(parameters: TerrainSelectorParameters): T {
		return factory(data, parameters)
	}
}
